Summary: Minimal Abstraction Layer for Object-oriented C
Name: maloc
Version: 1.5
Release: 1%{?dist}
Group: Applications/Engineering
License: GPLv2+
URL: http://www.fetk.org
Source0: http://www.fetk.org/codes/download/%{name}-%{version}.tar.gz
# removes hardcoded libdir setting
Patch0: maloc-makefile.am.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: libtool
BuildRequires: readline-devel

%description
MALOC is a small, portable, abstract C environment library for
object-oriented C programming. MALOC is used as the foundation layer
for a number of scientific applications, including MC, SG, and
APBS. MALOC can be used as a small stand-alone abstraction environment
for writing portable C programs which need access to resources which
are typically architecture-dependent, such as INET sockets, timing
routines, and so on. MALOC provides abstract datatypes, memory
management routines, timing routines, machine epsilon, access to UNIX
and INET sockets, MPI, and so on. All things that can vary from one
architecture to another are abstracted out of an application code and
placed in MALOC.

%package devel
Summary: Header files and library for developing programs with maloc
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries

%description devel

This package contains libraries and header files needed for program
development using MALOC.

%prep
%setup -n %{name} -q
%patch0 -p0
autoconf
automake --gnu --add-missing
autoheader
libtoolize --automake
aclocal

%build
%configure --disable-static
make %{?_smp_mflags}

make maloc_doc -C doc/doxygen

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/api/html/*
%{_libdir}/*.so
%{_includedir}/maloc

%changelog
* Fri Feb 25 2011 Tim Fenn <fenn@stanford.edu> - 1.5-1
- update to 1.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Tim Fenn <fenn@stanford.edu> - 1.4-1
- update to 1.4

* Fri Aug 21 2009 Tim Fenn <fenn@stanford.edu> - 0.2-4
- patch to remove missing INPUT paths from doxygen build

* Thu Aug 06 2009 Tim Fenn <fenn@stanford.edu> - 0.2-3
- add doxygen as buildreq

* Sat Jul 11 2009 Tim Fenn <fenn@stanford.edu> - 0.2-2
- remove pkgconfig dependency
- build doc

* Fri Jul 10 2009 Tim Fenn <fenn@stanford.edu> - 0.2-1
- initial build
